[Buildroot] [PATCH 1/1] php-amqp: selects openssl

Thomas Petazzoni thomas.petazzoni at bootlin.com
Mon Jun 4 10:12:48 UTC 2018


Hello,

On Mon, 4 Jun 2018 07:25:05 +0200, Fabrice Fontaine wrote:

> > We've had php-amqp since October 2016 and the last version bump is from
> > May 2017, i.e a year ago. What has changed that makes php-amqp now
> > require OpenSSL support in rabbitmq-c ?
> >  
> SSL connection supports in php-amqp was added in 1.8.0beta2:
> https://github.com/pdezwart/php-amqp/commit/83defa18d958503a395e928d4669a23041014b2e
> .
> So it was introduced in buildroot by the bump to version 1.9.0 in May 2017.
> In autobuilders, we have three errors with php-amqp:
> http://autobuild.buildroot.net/?reason=php-amqp-1.9.0.
> The three errors are all related to SSL and the older one is from February
> 2018 but I suppose that autobuilder results are deleted after some time?

No, autobuilder results are never deleted.

Except in October 2017, when I had a hard disk crash, and we lost all
the autobuilder results that we had back then. But since October 2017,
all autobuilder results are there.

Strange that this problem did not occur more often. Only 3 times since
October 2017. But OK, it happened once in February 2018, once in May
2018 and more recently in June.

Best regards,

Thomas
-- 
Thomas Petazzoni, CTO, Bootlin (formerly Free Electrons)
Embedded Linux and Kernel engineering
https://bootlin.com



More information about the buildroot mailing list